Combination View Flat View Tree View
Threads [ Previous | Next ]
Showing 1 - 20 of 21 results.
of 2
Bob McDermott
"Not Compatible" Message
August 16, 2012 6:50 AM
Answer

Bob McDermott

Rank: Junior Member

Posts: 34

Join Date: April 30, 2012

Recent Posts

Hi Folks,

I've downloaded a handful of apps through the marketplace. When I look at them in Control Panel the button says "Not Compatible".

Here is my version: liferay-portal-6.1.20-ee-ga2 Using the Tomcat bundle.

When I try to place them in the deploy directory I get...

13:40:53,768 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][AutoDeployDir:177] Processing 15196164_15196165_15196184.lpkg
13:40:53,772 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][LiferayPackageAutoDeployListener:48] Extracting Liferay package for C:\liferay-portal-6.1.20-ee-ga2\deploy\15196164_15196165_15196184.lpkg
13:40:53,774 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][LiferayPackageAutoDeployer:88] Extracting stocks-portlet-6.1.1.1-ce-ga2-20120731132656558.war from 15196164_15196165_15196184.lpkg
13:40:53,862 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][LiferayPackageAutoDeployer:88] Extracting liferay-marketplace.properties from 15196164_15196165_15196184.lpkg
13:40:53,863 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][LiferayPackageAutoDeployListener:54] Liferay package for C:\liferay-portal-6.1.20-ee-ga2\deploy\15196164_15196165_15196184.lpkg extracted successfully. Deployment will start in a few seconds.
13:40:53,864 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][AutoDeployDir:177] Processing 15196330_15238766_15239494.lpkg
13:40:53,864 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][LiferayPackageAutoDeployListener:48] Extracting Liferay package for C:\liferay-portal-6.1.20-ee-ga2\deploy\15196330_15238766_15239494.lpkg
13:40:53,865 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][LiferayPackageAutoDeployer:88] Extracting 2-1-2-columns-layouttpl-6.1.1.1-ce-ga2-20120731132656558.war from 15196330_15238766_15239494.lpkg
13:40:53,885 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][LiferayPackageAutoDeployer:88] Extracting liferay-marketplace.properties from 15196330_15238766_15239494.lpkg
13:40:53,885 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][LiferayPackageAutoDeployListener:54] Liferay package for C:\liferay-portal-6.1.20-ee-ga2\deploy\15196330_15238766_15239494.lpkg extracted successfully. Deployment will start in a few seconds.
13:40:56,887 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][AutoDeployDir:177] Processing 2-1-2-columns-layouttpl-6.1.1.1-ce-ga2-20120731132656558.war
13:40:56,889 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][LayoutTemplateAutoDeployListener:49] Copying layout templates for C:\liferay-portal-6.1.20-ee-ga2\deploy\2-1-2-columns-layouttpl-6.1.1.1-ce-ga2-20120731132656558.war
13:40:56,892 INFO [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][BaseDeployer:763] Deploying 2-1-2-columns-layouttpl-6.1.1.1-ce-ga2-20120731132656558.war
13:40:56,893 ERROR [com.liferay.portal.kernel.deploy.auto.AutoDeployScanner][AutoDeployDir:210] com.liferay.portal.kernel.deploy.auto.AutoDeployException: com.liferay.portal.kernel.deploy.auto.AutoDeployException: 2-1-2-columns-layouttpl-6.1.1.1-ce-ga2-20120731132656558.war does not support this version of Liferay
com.liferay.portal.kernel.deploy.auto.AutoDeployException: com.liferay.portal.kernel.deploy.auto.AutoDeployException: 2-1-2-columns-layouttpl-6.1.1.1-ce-ga2-20120731132656558.war does not support this version of Liferay
at com.liferay.portal.tools.deploy.BaseDeployer.autoDeploy(BaseDeployer.java:201)
at com.liferay.portal.deploy.auto.LayoutTemplateAutoDeployListener.deploy(LayoutTemplateAutoDeployListener.java:52)
at com.liferay.portal.kernel.deploy.auto.AutoDeployDir.processFile(AutoDeployDir.java:193)
at com.liferay.portal.kernel.deploy.auto.AutoDeployDir.scanDirectory(AutoDeployDir.java:235)
at com.liferay.portal.kernel.deploy.auto.AutoDeployScanner.run(AutoDeployScanner.java:54)
Caused by: com.liferay.portal.kernel.deploy.auto.AutoDeployException: 2-1-2-columns-layouttpl-6.1.1.1-ce-ga2-20120731132656558.war does not support this version of Liferay
at com.liferay.portal.tools.deploy.BaseDeployer.deployFile(BaseDeployer.java:795)
at com.liferay.portal.tools.deploy.BaseDeployer.autoDeploy(BaseDeployer.java:198)
... 4 more

So it appears that this is only compatible with the CE version not EE?

Any way to get around this?

Thanks,
Bob
Hitoshi Ozawa
RE: "Not Compatible" Message
August 16, 2012 6:55 AM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

Can you tell me exactly which plugin you've tried to deploy.
Bob McDermott
RE: "Not Compatible" Message
August 16, 2012 6:57 AM
Answer

Bob McDermott

Rank: Junior Member

Posts: 34

Join Date: April 30, 2012

Recent Posts

Stocks and the 2-1-2 Columns Layout. I see that they are marked with a CE, but I was hoping EE would work as well.
James Falkner
RE: "Not Compatible" Message
August 16, 2012 7:34 AM
Answer

James Falkner

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1218

Join Date: September 17, 2010

Recent Posts

Bob McDermott:
Stocks and the 2-1-2 Columns Layout. I see that they are marked with a CE, but I was hoping EE would work as well.


Many Liferay plugins have CE and EE versions (where the EE version is the "supported" version, where bugfixes and other changes for EE customers would happen). When a plugin has a CE and EE version, their app metadata will only declare they are compatible with that specific version, so that EE customers do not use the unsupported CE version in production. This is the same thing that happened previously, where EE customers would be required to download "supported" versions from the Customer Portal. Now they can do so through Marketplace.

For example, the 1-2-1 layout is offered in CE and EE version. You can see in the CE version that it only declares compatibility with CE (6.1.1).

For most other plugins, they will declare both versions (if indeed the app is compatible with both), so have only one download.
Bob McDermott
RE: "Not Compatible" Message
August 16, 2012 8:52 AM
Answer

Bob McDermott

Rank: Junior Member

Posts: 34

Join Date: April 30, 2012

Recent Posts

Thanks. I hadn't noticed the "EE" specific versions. I'll make sure to only download the appropriate plugins.
Hitoshi Ozawa
RE: "Not Compatible" Message
August 17, 2012 7:16 AM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

Does this mean CE and EE are not 100% compatible? I think there would be more developers writing for CE version because there are more users.
James Falkner
RE: "Not Compatible" Message
August 17, 2012 7:22 AM
Answer

James Falkner

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1218

Join Date: September 17, 2010

Recent Posts

Hitoshi Ozawa:
Does this mean CE and EE are not 100% compatible? I think there would be more developers writing for CE version because there are more users.


No, it's just our special way of helping our EE customers choose the right version of our plugins emoticon We split them because we want to be able to fix bugs and offer support on the EE versions of our plugins (like we do with Liferay Portal).
Hitoshi Ozawa
RE: "Not Compatible" Message
August 17, 2012 7:37 AM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

So why didn't CE version not work on EE in Bob's case? Just concerned because I don't want users complaining about plugins not working on their EE. Proper support is very expensive to provide.
James Falkner
RE: "Not Compatible" Message
August 17, 2012 12:48 PM
Answer

James Falkner

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1218

Join Date: September 17, 2010

Recent Posts

Hitoshi Ozawa:
So why didn't CE version not work on EE in Bob's case? Just concerned because I don't want users complaining about plugins not working on their EE. Proper support is very expensive to provide.


It probably would have worked on EE - but for apps developed by Liferay, we are providing support for them in the same way as we do for Liferay EE itself - so we need a separate version that we can supply fixes and changes to (just like we did in the past for EE plugins) in response to customer tickets.

For other use cases, developers will be able to declare support for CE and EE in the same app, and it'll work as expected.
Hitoshi Ozawa
RE: "Not Compatible" Message
August 17, 2012 6:39 PM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

Will the vendors developing and selling EE portlet have access to develop EE versions as well so they'll be able to support it like liferay can?

I and the company I work for already have a low end and mid-range liferay products but am currently re-investigating on merits of EE on high end of the market. I really haven't seen any information about EE portlet until now and would like more information on the topic. I've asked Bryan to send me the partnership form again last week and it would be great to get further merit details.

End of second quarter is coming up and I need to write up a plan for what we'll be doing next. Remember, I'm also the marketing guy. :-)
James Falkner
RE: "Not Compatible" Message
August 18, 2012 5:25 AM
Answer

James Falkner

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1218

Join Date: September 17, 2010

Recent Posts

Hitoshi Ozawa:
Will the vendors developing and selling EE portlet have access to develop EE versions as well so they'll be able to support it like liferay can?


Great question, and yes, we have developed a Marketplace Developer program and will be talking about this in detail in the coming weeks as we roll out user uploads and eventually e-commerce. The dev program will give you access to EE developer licenses and developer studio licenses for a low membership fee (but not zero) to enable you to sell and support apps on EE.
Hitoshi Ozawa
RE: "Not Compatible" Message
August 19, 2012 3:43 PM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

Will this be different license from the liferay portal EE subscription license? We really don't need liferay's portlets and liferay portal EE because they're not fit for the Japanese market and we've already developed our customized versions, but I may be interested in plugin development environment for EE. (Also note, we really don't need the liferay's software now, but am interested in partnering with liferay.com for marketing purposes.)

will be talking about this in detail in the coming weeks as we roll out user uploads and eventually e-commerce.


I'm always looking for something that I can sell now so I hope I'll be able to get some details by this week.
James Falkner
RE: "Not Compatible" Message
August 19, 2012 4:01 PM
Answer

James Falkner

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1218

Join Date: September 17, 2010

Recent Posts

Hitoshi Ozawa:
Will this be different license from the liferay portal EE subscription license?


No, it'll be the same.
Hitoshi Ozawa
RE: "Not Compatible" Message
August 19, 2012 6:28 PM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

Most other software companies offer a developer's license, do liferay have one too? (this is low priority.)

Anyways, can somebody from liferay.com send me a copy of the partnership contract to my ogis-ri.co.jp mail address?
Bryant send it to me before but I lost it. I'm currently approaching some other departments who may be interested.

EDIT: Finally was able to get hold of Brian. He's going to send it to me when he returns to his office. :-)
Hitoshi Ozawa
RE: "Not Compatible" Message
August 26, 2012 4:56 PM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

It probably would have worked on EE


Other users are also posting otherwise. CE plugins DOES NOT work on EE. Is liferay.com verifying that all CE will run 100% on EE without any modification?
http://www.liferay.com/community/forums/-/message_boards/message/14144897
Ray Augé
RE: "Not Compatible" Message
August 27, 2012 2:10 PM
Answer

Ray Augé

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1171

Join Date: February 7, 2005

Recent Posts

James asked me to interject with some comments.

Ok, so it's our aim to maintain binary compatibility when possible between minor versions. However, we occasionally, accidentally, fail to do that.

Although we try to limit that to major version, it has occasionally been the case between minor versions as well.

The typical way to get around this is to re-build the plugin on that version's SDK (and possibly also re-run service builder). It's a pain that hopefully someday we can completely eliminate.
Hitoshi Ozawa
RE: "Not Compatible" Message
August 28, 2012 4:27 AM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

So this mean to be sure a plugin will work with EE version, it should be build with EE SDK. Is EE SDK going to be make publicly available so developers will be able to build for it?
It's going to be difficult for developers otherwise because they'll be the one who has to support it.
Ray Augé
RE: "Not Compatible" Message
August 29, 2012 8:26 AM
Answer

Ray Augé

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1171

Join Date: February 7, 2005

Recent Posts

I believe there is a plan for an EE SDK to be made available to marketplace developers.

However, I do not know what obtaining the SDK will entail; terms or cost or whatever.
I have no knowledge of those details.
Hitoshi Ozawa
RE: "Not Compatible" Message
August 29, 2012 3:40 PM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7990

Join Date: March 23, 2010

Recent Posts

So, it'll be safer to just mark a portlet as supported on CE and unsupported on EE to avoid EE users claiming for a refund because a portlet does not work.

BTW, is there a refund policy in Marketplace?
James Falkner
RE: "Not Compatible" Message
August 30, 2012 7:03 AM
Answer

James Falkner

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1218

Join Date: September 17, 2010

Recent Posts

Hitoshi Ozawa:
So, it'll be safer to just mark a portlet as supported on CE and unsupported on EE to avoid EE users claiming for a refund because a portlet does not work.


As Ray said, we aim to guarantee CE & EE compatibility, but we haven't done a great job at this. We are constantly improving our testing infrastructure, so my hope is that this is solved in a future release. Once we open up the Marketplace to individual uploads, if you want to target EE customers, then you'll need to sign up for the Marketplace Developer program (which will be set up very soon), and you'll get an EE developer license and Liferay Studio license, and then you can test against EE and declare support for both. It *is* possible for apps to be compatible with both today (unless your code runs into the bugs we've let slip through), but you're right, unless you can test it against CE and EE today, you can't really know until we improve our testing infrastructure to the point where it is programmatically impossible for it NOT to be. This is where I want Liferay to be.


BTW, is there a refund policy in Marketplace?


We will have a policy in place once the E-Commerce functionality is there. We're still trying to work out what it will be, a lot of it depends on how we process payments.
Showing 1 - 20 of 21 results.
of 2